import { NodeInterface, BlockPlugin, PluginOptions } from '@aomao/engine';
import Outline from './outline';
import type { OutlineData } from './outline';
import './index.css';
export interface Options extends PluginOptions {
    hotkey?: {
        h1?: string;
        h2?: string;
        h3?: string;
        h4?: string;
        h5?: string;
        h6?: string;
    };
    showAnchor?: boolean;
    anchorCopy?: (id: string) => string;
    markdown?: boolean;
    enableTypes?: Array<string>;
    disableMark?: Array<string>;
}
export default class extends BlockPlugin<Options> {
    attributes: {
        id: string;
    };
    variable: {
        '@var0': RegExp;
    };
    tagName: string[];
    allowIn: string[];
    disableMark: string[];
    static get pluginName(): string;
    init(): void;
    updateId(): void;
    updateAnchorPosition(): void;
    showAnchor(): void;
    execute(type: 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'p'): void;
    queryState(): string | undefined;
    hotkey(): {
        key: string;
        args: string;
    }[];
    markdown(event: KeyboardEvent, text: string, block: NodeInterface): boolean;
    checkMarkdown(node: NodeInterface): {
        reg: RegExp;
        match: RegExpExecArray | null;
    } | undefined;
    pasteMarkdown(node: NodeInterface): void;
    onBackspace(event: KeyboardEvent): false | undefined;
}
export type { OutlineData };
export { Outline };
